<template>
  <Layout>
    <h1>Projets</h1>
    <div class="grid-3_xs-1 flex justify-center">
      <ProjectCard v-for="edge in $page.projects.edges" :key="edge.node.id" :project="edge.node"/>
    </div>
  </Layout>
</template>

<script>
import ProjectCard from '~/components/ProjectCard.vue'

export default {
  components: {
    ProjectCard
  },
  metaInfo: {
    title: 'Projets'
  }
}
</script>

<page-query>
query Projects {
  projects: allProjects {
    edges {
      node {
        id
        title
        image (width: 400, height: 200, quality: 80)
        description
        language
        path
      }
    }
  }
}
</page-query>